brooklyn-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From henev...@apache.org
Subject [3/9] incubator-brooklyn git commit: updated readme for docs to describe how to fix more ruby problems
Date Mon, 12 Jan 2015 14:52:19 GMT
updated readme for docs to describe how to fix more ruby problems


Project: http://git-wip-us.apache.org/repos/asf/incubator-brooklyn/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-brooklyn/commit/28c71164
Tree: http://git-wip-us.apache.org/repos/asf/incubator-brooklyn/tree/28c71164
Diff: http://git-wip-us.apache.org/repos/asf/incubator-brooklyn/diff/28c71164

Branch: refs/heads/master
Commit: 28c711648128b68e8805b1fcf165d303ec804714
Parents: 5392b88
Author: Alex Heneveld <alex.heneveld@cloudsoftcorp.com>
Authored: Fri Jan 9 20:33:26 2015 +0000
Committer: Alex Heneveld <alex.heneveld@cloudsoftcorp.com>
Committed: Fri Jan 9 20:35:03 2015 +0000

----------------------------------------------------------------------
 docs/README.md | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-brooklyn/blob/28c71164/docs/README.md
----------------------------------------------------------------------
diff --git a/docs/README.md b/docs/README.md
index 4d7c6d5..7c07075 100644
--- a/docs/README.md
+++ b/docs/README.md
@@ -50,9 +50,14 @@ return to the `_build` directory and re-run the above command.
 
 On some platforms there may be some fiddling required before `jekyll` runs without errors,
 but the ecosystem is fairly mature and most problems can be resolved with a bit of googling.
-For instance on Ubuntu, there may be additional dependencies required:
-
-    sudo apt-get install libxslt-dev libxml2-dev
+Some issues we've encountered are:
+
+ * on Mac, install xcode and its command-line tools
+ * if ruby gets confused about versions,
+   [clean out your gems](http://judykat.com/ken-judy/force-bundler-rebuild-ruby-rails-gemset/)
+ * if `libxml2` fails, set `bundle config build.nokogiri --use-system-libraries` before the
install
+   (more details [here](http://www.nokogiri.org/tutorials/installing_nokogiri.html))
+ * on Ubuntu, `sudo apt-get install libxslt-dev libxml2-dev`
 
 
 Seeing the Website and Docs


Mime
View raw message